{
  "true": "Yes",
  "false": "No",
  "common": {
    "cancel": "Cancel",
    "save": "Save",
    "back": "Back",
    "apply": "Apply",
    "yes": "Yes",
    "no": "No",
    "true": "Yes",
    "false": "No",
    "ok": "Ok",
    "select": "Select",
    "default": "Default",
    "enable": "Enable",
    "enabled": "Enabled",
    "disable": "Disable",
    "disabled": "Disabled",
    "planned": "Planned",
    "delete": "Delete",
    "update": "Update",
    "select_all": "Select all",
    "deselect_all": "Deselect all",
    "close": "Close",
    "reorder": "Reorder"
  },
  "validation": {
    "network_range": {
      "start_port": "Invalid start-range port",
      "end_port": "Invalid end-range port",
      "ip_range": "Invalid IPv4 range"
    },
    "timeouts": {
      "zero_or_less": "Must be > 0",
      "invalid_value": "Not a number"
    },
    "invalid_num": "Number value in not valid",
    "invalid_int": "Value in not valid integer number",
    "max_value_limit": "Must be less than {max_value}",
    "min_value_limit": "Must be greater than {min_value}",
    "not_in_list": "Already exists",
    "empty": "Empty value not allowed",
    "target_mismatch": "Doesn't match {target}",
    "url_or_worker_empty": "Both URL and Worker must be filled or empty",
    "farm": {
      "ip_range": "Invalid IPv4 range",
      "ip_range_reverse": "Reversed IPv4 range",
      "ip_range_mixed_type": "Port or address must be constant in the range",
      "invalid_ip": "Invalid address: IP address could not contain numbers over 255",
      "invalid_port": "Port cannot be less than 0 and greater 65535"
    }
  },
  "error": {
    "unsupported": "Action not supported",
    "operation_cancelled": "Operation was cancelled. {}",
    "update_firmware": {
      "unsupported_miner": "Unsupported miner type",
      "no_miner_info": "Device info not received. Aborting...",
      "miner_model_empty": "Can't detect device model",
      "miner_install_type_empty": "Can't detect device install type",
      "firmware_file_not_found": "Firmware file do not exists. Searching for \"{}\""
    },
    "no_cloning_needed": "Skipped: Device is already configured with this settings",
    "repository": {
      "no_repository": "No miner actions available",
      "no_unlock_method": "Unlock method for device not found",
      "device_not_unlocked": "Device not unlocked. Check credentials",
      "unlock_method_not_supported": "Unlock method not supported",
      "change_pools_not_possible": "Can not change pools. Initial pools configuration is not received from device"
    }
  },
  "enum": {
    "miner_field_bool_values": {
      "locked": "Locked",
      "unlocked": "Unlocked",
      "available": "Available",
      "unavailable": "Not available"
    },
    "unlock_type_enum": {
      "password": "Password",
      "loginPassword": "Login + Password",
      "apiKey": "API key",
      "doNotUnlock": "Do not unlock",
      "doNotDiscover": "Do not discover this firmware"
    },
    "miner_type_enum": {
      "unknown": "CG Miner",
      "anthill": "Vnish",
      "stockAntminer": "Bitmain",
      "avalon": "Canaan",
      "whatsMiner": "MicroBT",
      "luxor": "Luxor",
      "braiins": "Braiins"
    },
    "miner_status_enum": {
      "mining": "Mining",
      "initializing": "Initialize",
      "starting": "Starting",
      "autoTuning": "Auto-tune",
      "restarting": "Restart",
      "shuttingDown": "Shutdown",
      "stopped": "Stopped",
      "failure": "Error",
      "offline": "Offline"
    },
    "miner_field_enum": {
      "ip": "IP address",
      "range": "Network range",
      "lockState": "Lock status",
      "hasPics": "Has pics",
      "model": "Model",
      "uptime": "Uptime",
      "hashrate": "Hashrate",
      "minerPreset": "Preset",
      "currentPreset": "Current preset",
      "topPreset": "Top preset",
      "minerStatus": "Status",
      "chainStatus": "Chain status",
      "chainSerials": "Board serial numbers",
      "chainModels": "Board models",
      "psuModel": "PSU model",
      "psuSerial": "PSU serial",
      "platform": "Platform",
      "installType": "Install type",
      "firmware": "Firmware",
      "firmwareBuildName": "Firmware build name",
      "power": "Power",
      "chipTemp": "Chip temperatures",
      "boardTemp": "Board temperatures",
      "fanSpeed": "Fans",
      "pool1url": "Pool URL 1",
      "pool1worker": "Pool 1 worker",
      "pool1password": "Pool 1 password",
      "pool2url": "Pool URL 2",
      "pool2worker": "Pool 2 worker",
      "pool2password": "Pool 2 password",
      "pool3url": "Pool URL 3",
      "pool3worker": "Pool 3 worker",
      "pool3password": "Pool 3 password",
      "hotelFeeEnabled": "Hotel Fee status",
      "hotelFeeUrl": "Hotel Fee URL",
      "hotelFeeWorker": "Hotel Fee Worker",
      "hotelFeePercent": "Hotel Fee Percent",
      "defFeeOnline": "Dev Fee"
    },
    "miner_field_enum_short": {
      "ip": "IP address",
      "range": "Range",
      "lockState": "Lock status",
      "hasPics": "Pics",
      "model": "Model",
      "uptime": "Uptime",
      "hashrate": "Hashrate",
      "minerPreset": "Preset",
      "currentPreset": "Current",
      "topPreset": "Top",
      "minerStatus": "Status",
      "chainStatus": "Chains",
      "chainSerials": "Board serials",
      "chainModels": "Board models",
      "psuModel": "PSU model",
      "psuSerial": "PSU serial",
      "platform": "Platform",
      "installType": "Install Type",
      "firmware": "Firmware",
      "firmwareBuildName": "Build name",
      "power": "Power",
      "chipTemp": "Temp chip",
      "boardTemp": "Temp board",
      "fanSpeed": "Cooling mode",
      "pool1url": "Pool URL 1",
      "pool1worker": "Pool worker 1",
      "pool1password": "Pool 1 password",
      "pool2url": "Pool URL 2",
      "pool2worker": "Pool worker 2",
      "pool2password": "Pool 2 password",
      "pool3url": "Pool URL 3",
      "pool3worker": "Pool worker 3",
      "pool3password": "Pool 3 password",
      "hotelFeeEnabled": "Hotel Fee status",
      "hotelFeeUrl": "Hotel Fee URL",
      "hotelFeeWorker": "Hotel Fee Worker",
      "hotelFeePercent": "Hotel Fee Percent",
      "defFeeOnline": "Dev Fee available"
    },
    "miner_field_enum_column": {
      "ip": "IP address",
      "range": "Range",
      "lockState": "Lock status",
      "hasPics": "Pics",
      "model": "Model",
      "uptime": "Uptime",
      "hashrate": "Hashrate",
      "minerPreset": "Presets",
      "currentPreset": "N/A",
      "topPreset": "N/A",
      "minerStatus": "Status",
      "chainSerials": "Board serial numbers",
      "chainModels": "Board models",
      "psuModel": "PSU model",
      "psuSerial": "PSU serial",
      "chainStatus": "Chains",
      "platform": "Platform",
      "installType": "Install Type",
      "firmware": "Firmware",
      "firmwareBuildName": "Firmware Build name",
      "power": "Power",
      "chipTemp": "Temp chip",
      "boardTemp": "Temp board",
      "fanSpeed": "Cooling mode",
      "pool1url": "Pool 1",
      "pool1worker": "N/A",
      "pool1password": "N/A",
      "pool2url": "Pool 2",
      "pool2worker": "N/A",
      "pool2password": "N/A",
      "pool3url": "Pool 3",
      "pool3worker": "N/A",
      "pool3password": "N/A",
      "hotelFeeEnabled": "N/A",
      "hotelFeeUrl": "Hotel Fee",
      "hotelFeeWorker": "N/A",
      "hotelFeePercent": "N/A",
      "defFeeOnline": "Dev Fee available"
    },
    "cooling_mode_enum": {
      "auto": "Auto",
      "manual": "Manual",
      "immers": "Immersion"
    },
    "ordering_direction_enum": {
      "asc": "Ascending",
      "desc": "Descending"
    },
    "pool_marker": {
      "skip": "Don't change",
      "edit": "Edit",
      "empty": "Delete"
    },
    "change_pool_pattern": {
      "account": "Current account",
      "worker": "Current worker",
      "ip1": "IP: First octet",
      "ip2": "IP: Second octet",
      "ip3": "IP: Third octet",
      "ip4": "IP: Fourth octet",
      "mac": "MAC-address",
      "host": "Hostname",
      "n": "Number",
      "nn": "Number with 1 leading zero",
      "nnn": "Number with 2 leading zeros",
      "proto-str": "Stratum protocol",
      "pool-host": "Current pool address",
      "port": "Current pool port"
    },
    "theme": {
      "light": "Light",
      "dark": "Dark",
      "blue_night": "Blue night"
    },
    "locale": {
      "ru": "Русский",
      "en": "English",
      "zh": "中國人"
    },
    "log_level": {
      "all": "All",
      "verbose": "Verbose",
      "trace": "Trace",
      "debug": "Debug",
      "info": "Info",
      "warning": "Warning",
      "error": "Error",
      "wtf": "WTF",
      "fatal": "Fatal",
      "nothing": "Nothing",
      "off": "Off"
    },
    "miner_filter_comparison_type": {
      "greater": "More",
      "less": "Less",
      "equals": "Equals",
      "notEquals": "Not equals"
    },
    "miner_list_view_type": {
      "normal": "Normal",
      "compact": "Compact"
    },
    "miner_list_view_mode": {
      "metric": "Metric mode",
      "pools": "Pools mode",
      "custom": "Custom"
    },
    "task_status": {
      "notStarted": "Waiting",
      "processing": "Processing",
      "success": "Success",
      "hasErrors": "Has errors",
      "error": "Error",
      "cancelled": "Cancelled"
    }
  },
  "date": {
    "month": {
      "january": "January",
      "february": "February",
      "march": "March",
      "april": "April",
      "may": "May",
      "june": "June",
      "july": "July",
      "august": "August",
      "september": "September",
      "october": "October",
      "november": "November",
      "december": "December",
      "unknown": "unknown"
    },
    "formats": {
      "date_time_full": "{month} {day}, {year} {hour}:{min}:{sec}.{mils}",
      "date_time_full_short": "{month}.{day}.{year} {hour}:{min}:{sec}.{mils}",
      "date": "{month} {day}, {year}",
      "date_separated": "{month}.{day}.{year}",
      "time_full": "{hour}:{min}:{sec}.{mils}",
      "date_time": "{month} {day}, {year} {hour}:{min}:{sec}",
      "time": "{hour}:{min}:{sec}",
      "time_short": "{hour}:{min}"
    },
    "days_short": "d",
    "duration": {
      "month": {
        "zero": "{count} months",
        "one": "{count} month",
        "many": "{count} months",
        "other": "{count} months"
      },
      "week": {
        "zero": "{count} weeks",
        "one": "{count} week",
        "many": "{count} weeks",
        "other": "{count} weeks"
      },
      "days": {
        "zero": "{count} days",
        "one": "{count} day",
        "many": "{count} days",
        "other": "{count} days"
      },
      "hour": {
        "zero": "{count} hours",
        "one": "{count} hour",
        "many": "{count} hours",
        "other": "{count} hours"
      },
      "min": {
        "zero": "{count} minutes",
        "one": "{count} minute",
        "many": "{count} minutes",
        "other": "{count} minutes"
      },
      "sec": {
        "zero": "{count} seconds",
        "one": "{count} second",
        "many": "{count} seconds",
        "other": "{count} seconds"
      }
    }
  },
  "app_screen": {
    "header": {
      "subtitle": "App for setting up and managing mining devices",
      "operations": "Operations"
    },
    "footer": {
      "copyright": "©{year} HashCore. All rights reserved",
      "logs": "Logs",
      "support": "Support",
      "support_link": "https://t.me/hashcore_en/38",
      "support_tooltip": "Do you have an idea or a problem? \u2028We are ready to listen and help!",
      "about": "About"
    },
    "about_dialog": {
      "title": "About application",
      "version": "Version {version}",
      "support": "Support",
      "license": "License",
      "build_date": "Build: {build} ({date})"
    }
  },
  "notifications": {
    "task_started": "Task \"{task}\" started",
    "task_empty": "Task \"{task}\" not started:\nNo compatible devices selected",
    "task_completed": "Task \"{task}\" successfully completed",
    "task_completed_with_error": "Task \"{task}\" where completed with errors",
    "group_not_found": "Can't switch to task group:\nGroup not found or where modified since task execution",
    "clipboard_copied": "Copied to clipboard",
    "update_stub": "New Toolkit version is available",
    "update": "Version {} Toolkit is available",
    "update_link": "Download"
  },
  "network_groups": {
    "title": "Network groups",
    "subtitle": "Main page",
    "new": "New group",
    "new_tag": "new",
    "new_tag_tooltip": "New ranges group which hasn't been\nscanned or opened yet",
    "open": "Open group",
    "network_ranges": "Network ranges",
    "miners": "Miners",
    "unlocked": "Unlocked",
    "update": "Update",
    "offline": "Offline",
    "errors": "Errors",
    "hashrate": "Hashrate",
    "last_scan": "Last scan",
    "empty_title": "Groups not defined",
    "empty_subtitle": "To create a group of devices, you must click on\n[New group] or ",
    "empty_import": "Import range group",
    "remove_selected": "Remove ranges",
    "no_description": "No description",
    "addresses": "Addresses",
    "selected": "{count} selected",
    "select_all": "Select all",
    "ranges_import": "Import range groups",
    "ranges_export": "Export range groups",
    "clear_ranges_statistic": "Reset statistics",
    "ranges_remove": "Remove all groups",
    "rescan_range": "Rescan group",
    "range_export": "Export device list",
    "range_edit": "Edit ranges group",
    "range_edit_menu": "Edit group",
    "range_export_menu": "Export group",
    "range_remove_menu": "Remove group",
    "dialogs": {
      "export_miners_dialog_title": "Select file to save miners list",
      "export_dialog_title": "Select file to save list",
      "import_dialog_title": "Select file to import list",
      "edit_group": {
        "ip_range": {
          "title": "Ranges",
          "name_title": "Group name",
          "name_holder": "Name for the group",
          "description_title": "Group description",
          "description_holder": "Description for the ranges group",
          "add_ip_range": "Add IP range",
          "add_port_range": "Add port range",
          "remove_range_title": "Remove group",
          "remove_range_message": "Are you sure you want to remove ranges group?",
          "range_title": "Network ranges",
          "save_and_scan": "Save and scan",
          "ip_group_invalid": "Invalid",
          "range_disabled": "Disabled for scan",
          "default_range_name": "Range {}",
          "range_menu": {
            "enabled": "Enabled",
            "rename": "Rename range",
            "delete": "Delete"
          }
        },
        "edit_range_name": {
          "title": "Rename range",
          "name_label": "New name for range"
        },
        "custom_password": {
          "title": "Custom password"
        },
        "custom_timeout": {
          "title": "Custom timeout"
        }
      },
      "remove_group": {
        "remove_this_range": "Remove group?",
        "remove_all_ranges": "Remove all range groups?",
        "remove_selected_ranges": "Remove selected groups?",
        "range_deleted": "The \"{range}\" will be deleted!",
        "all_deleted": "All range groups will be deleted!",
        "selected_deleted": "Selected range groups will be deleted!",
        "remove": "Yes, remove!",
        "remove_all": "Yes, remove all groups!"
      },
      "drop_statistics": {
        "title": "Drop statistics",
        "message": "Are you sure you want to drop current range groups statistics?"
      },
      "export_devices": {
        "description": "Select fields to include in exported file",
        "select_all": "Select all",
        "deselect_all": "Deselect all",
        "reset": "Reset",
        "export": "Export list",
        "success": "The export was successful",
        "failure": "Unexpected error during data export"
      }
    }
  },
  "miners_list": {
    "empty_title": "Nothing found",
    "empty_subtitle": "The range is probably set incorrectly or there are network problems.",
    "scan_again": "Scan again",
    "empty_filters_title": "Empty filter result",
    "empty_filters_subtitle": "No results were found using this filter. Try changing or removing it",
    "remove_filters": "Clear filters",
    "status_compact_header": "Status and others",
    "header": {
      "back": "Back to groups",
      "miners": "Miners",
      "unlocked": "Unlocked",
      "errors": "Errors",
      "hashrate": "Hashrate",
      "power": "Power",
      "view_mode": "View mode",
      "data_mode": "Data mode",
      "sort_direction": "Sort direction",
      "sort_by": "Sort by",
      "filter_by": "Filter by",
      "sort": "Sorting",
      "columns_order": "Columns order",
      "columns_reset": "Reset to defaults",
      "columns": "Columns",
      "group_by": "Group by",
      "grouping": "Grouping",
      "view": "View",
      "filter": "Filter",
      "mode_metric": "Metric",
      "mode_pools": "Pools",
      "clear_filters": "Clear",
      "save_filter": "Save as preset",
      "edit_filter": "Edit preset",
      "add_filter": "Add filter",
      "filter_presets": "Filter presets",
      "devices_count": {
        "zero": "{count} device",
        "one": "{count} device",
        "many": "{count} devices",
        "other": "{count} devices"
      },
      "isolated": "Isolated "
    },
    "sort": {
      "sort": "Sort",
      "by": "by"
    },
    "grouping": {
      "grouping": "Group",
      "empty": "No grouping available for current devices list",
      "by": "by",
      "jump": "Jump to group"
    },
    "filter": {
      "empty": "No filters available for current devices list",
      "inclusive": "Contains",
      "exclusive": "Does not contain",
      "inclusive_string_filter": " is ",
      "exclusive_string_filter": " is not ",
      "inclusive_multiple_string_filter": " is any ",
      "exclusive_multiple_string_filter": " is not in ",
      "inclusive_bool_filter": " ",
      "exclusive_bool_filter": " not ",
      "selected": " {count} selected"
    },
    "pool_nr": "pool {nr}: ",
    "pool_worker": "worker: ",
    "clone_this": "Clone this device",
    "clone_description": "Select miners from the list to clone the settings of this device",
    "settings_selected": "Settings selected: {count} of {total}",
    "reset_cloning": "Reset cloning source",
    "immersion_mode": "Immersion mode",
    "has_pics": "Device has PIC",
    "has_no_pics": "Device has no PIC",
    "last_update": "Last update {} ago",
    "dev_fee_online": "DevFee online - {}%",
    "dev_fee_offline": "DevFee offline - {}%",
    "action_bar": {
      "selected": "{count} selected",
      "operations_bar": "Operations bar",
      "select_all": "Select all",
      "isolate": "Isolate",
      "rescan": "Rescan",
      "clone": "Clone",
      "unlock": "Unlock",
      "group": "Grouped",
      "commands": "Commands"
    },
    "progress_bar": {
      "progress": "{task} progress: ",
      "result": "{task} result: ",
      "addresses": {
        "zero": "{count} addresses",
        "one": "{count} address",
        "many": "{count} addresses",
        "other": "{count} addresses"
      }
    },
    "dialogs": {
      "enum": {
        "task_category": {
          "operations": "Operations",
          "firmware": "Firmware",
          "powerActions": "Power actions",
          "security": "Security",
          "uncategorized": "Uncategorized",
          "system": "System",
          "cli": "CLI"
        },
        "task_type_action": {
          "changePools": "Change pools",
          "resetAutotuneProfiles": "Reset autotune profiles",
          "installFirmware": "Install firmware",
          "updateStockFirmware": "Update stock firmware",
          "updateFirmware": "Update firmware",
          "resetFirmware": "Reset firmware",
          "removeFirmware": "Remove firmware",
          "pause": "Pause",
          "resume": "Resume",
          "restart": "Restart",
          "reboot": "Reboot",
          "changePassword": "Change password",
          "configureApiKey": "Api key config",
          "findMiner": "Find miner",
          "cloneSettings": "Clone miner",
          "unlock": "Unlock",
          "discover": "Dicover",
          "refreshStats": "Get stats",
          "updateStats": "Update stats",
          "conditionalRestart": "Restart (if required)",
          "restoreCvFirmware": "Restore firmware",
          "multi": "Multi",
          "configureNetwork": "Change network configuration"
        },
        "task_type_name": {
          "changePools": "Changing pools",
          "resetAutotuneProfiles": "Resetting autotune profiles",
          "installFirmware": "Installing firmware",
          "updateStockFirmware": "Updating stock firmware",
          "updateFirmware": "Updating firmware",
          "resetFirmware": "Resetting firmware",
          "removeFirmware": "Removing firmware",
          "pause": "Mining pause",
          "resume": "Resume mining",
          "restart": "Restart mining",
          "reboot": "Reboot device",
          "changePassword": "Changing password",
          "configureApiKey": "Configuring API keys",
          "findMiner": "Finding miner",
          "cloneSettings": "Cloning miner",
          "unlock": "Unlocking devices",
          "discover": "Scanning",
          "refreshStats": "Receiving stats",
          "updateStats": "Updating stats",
          "conditionalRestart": "Restarting (if required)",
          "restoreCvFirmware": "Restoring firmware",
          "multi": "Multi",
          "configureNetwork": "Changing network configuration"
        }
      },
      "commands_dialog": {
        "type_command": "Type a command...",
        "navigate": "To navigate",
        "select": "Select",
        "cancel": "Cancel",
        "remove_from_list": "Remove from list"
      },
      "confirm_task": "Confirm operation",
      "action_for_devices": {
        "zero": "{action} for {count} device",
        "one": "{action} for {count} device",
        "many": "{action} for {count} devices",
        "other": "{action} for {count} devices"
      },
      "pool_change": {
        "data_info": "In group editing, the data of the first selected device is displayed",
        "operation": "Operation",
        "worker": "Worker",
        "worker_variables": ": see available variables under \"+\"",
        "save": "Save pools config",
        "preview": "Preview: {}",
        "show_patterns": "Show available patterns"
      },
      "change_password": {
        "old": "Current password",
        "new": "New password",
        "repeat": "Repeat new password"
      },
      "edit_api_key": {
        "title": "API Key configuration",
        "operation": "Operation",
        "add": "Add API Key",
        "remove": "Remove API Key",
        "key": "API key",
        "description": "Description",
        "save": "Save changes!"
      },
      "clone_settings": {
        "select_cloning_settings": "Select cloning settings",
        "save_selected": "Save selected",
        "selection_count": "{count} of {total}"
      },
      "update_firmware": {
        "select_file_title": "Select firmware file",
        "select_file_for_update": "Select file for stock update",
        "select_file_for_update_empty": "File is not selected",
        "update_options": "Firmware update options (not for stock)",
        "number_of_threads": "Number of threads",
        "number_of_threads_desc": "Number of threads for firmware update",
        "reject_message": "No Vnish devices selected. Please make sure there are some Vnish devices in selection",
        "reject_title": "Can't update firmware"
      },
      "install_firmware": {
        "reject_message": "No Antminer devices selected. Please make sure there are some Antminer devices in selection",
        "reject_title": "Can't install firmware",
        "detect_automatically": "Detect automatically",
        "pick_directory_dialog_title": "Pick directory containing Vnish firmware files",
        "firmwares_directory": "Firmware directory",
        "directory_not_selected": "Not selected",
        "select_fw_directory": "Select directory",
        "install_options": "Firmware install options",
        "firmware_name": "Firmware name",
        "firmware_version": "Firmware version",
        "number_of_threads": "Number of threads",
        "number_of_threads_desc": "Number of threads for firmware installation",
        "ssh_port": "SSH port",
        "ssh_port_desc": "Setting up a port for firmware installation",
        "model": "Miner model"
      },
      "edit_filter_name": {
        "edit_title": "Edit filter preset",
        "create_title": "New filter preset",
        "create_preset": "Create preset",
        "input_label": "Name of preset",
        "input_placeholder": "Enter new name for filter preset",
        "override_prompt_message": "Filter with this name already exists.\nDo you want to replace it with current filter set?",
        "override_prompt_title": "Override existing filter?",
        "delete_prompt_message": "Are you sure want to delete the preset?",
        "delete_prompt_title": "Deleting preset",
        "saved": "Filter preset saved"
      }
    }
  },
  "settings_dialog": {
    "title": "Settings",
    "reset_menu": {
      "reset": "Reset",
      "reset_settings": "Reset settings",
      "reset_settings_desc": "Restores default settings",
      "reset_application": "Reset all application data",
      "reset_application_desc": "Deletes all app settings and data",
      "confirmation_reset_settings": {
        "title": "Reset settings",
        "message": "Are you sure you want to reset current app settings to defaults?",
        "positive": "Yes, reset settings"
      },
      "confirmation_reset_application": {
        "title": "Reset application data",
        "message": "Are you sure you want to reset current app settings to defaults?\n\nNote: this will delete saved network ranges. Make sure you've saved it before continue.",
        "positive": "Yes, drop data"
      }
    },
    "appearance": {
      "title": "General",
      "theme": "Theme",
      "theme_desc": "Window and text colors",
      "language": "Language",
      "language_desc": "The system language is used by default"
    },
    "unlock": {
      "title": "Unlock",
      "description": {
        "range": "For this group of ranges, specific unlock rules are set, different from the general settings.",
        "settings": "If you have configured unlock settings for a network group, these settings will override the current unlock settings."
      },
      "custom_unlock": "Custom password for unlock device",
      "skip_unknown": "Skip unknown miners",
      "restore_cv": "Restart CV firmware on discovery",
      "unlock_method": "Unlock method",
      "unlock_method_detail": "Unlock method: {}",
      "login": "Login",
      "password": "Password",
      "api_key": "API key",
      "firmware_name": "{fw} Firmware",
      "range_methods_title": "Custom method for unlock device",
      "task_methods_title": "Unlock method for selected device",
      "skip_unlocked": "Skip unlocked miners",
      "skip_unlocked_desc": "Do not lock already unlocked miners",
      "save_for_range": "Save the method for the current range",
      "save_for_range_desc": "The unlock settings will be set only for the current range",
      "save": "Save and unlock"
    },
    "timeouts": {
      "title": "Timeouts",
      "description": "A larger timeout slows down overall processing, while too small a timeout can lead to failures or missing miners. Find a balance for effective operation",
      "custom_timeout": "Custom network timeout",
      "network_timeout": "Network timeout",
      "detection": "Miner detection",
      "connection": "Connection timeout",
      "send_data": "Send data",
      "receive": "Receive response",
      "send_file": "Send file",
      "sec": "sec",
      "count": "update",
      "miner_detection": "Miner detection",
      "rescan_count": "Rescan network for miners after every",
      "stats_update": "Update miners statistics"
    },
    "logs": {
      "title": "Logs",
      "logs_directory": "Log file storage directory",
      "change_directory": "Change",
      "change_directory_title": "Pick directory you wish to store application logs",
      "file_level": "File logging level",
      "memory_level": "Memory logging level",
      "memory_limit": "Memory buffer limit",
      "log_settings": "Log settings"
    },
    "advanced": {
      "title": "Advanced",
      "warning": "Making changes in this section is at your own risk and responsibility",
      "threads": "Thread count",
      "threads_desc": "Number of logical thread to manage CPU load",
      "task_iterations": "Parallel task iterations",
      "task_iterations_desc": "Limits network load",
      "task_timeout": "Task Timeout",
      "task_timeout_desc": "Limits single miner command timeout"
    },
    "cant_save": "Can't save settings",
    "task_timeout_violation": "Task timeout can't be less than any other timeout"
  },
  "operations_dialog": {
    "title": "Operations",
    "subtitle": "Task history. ",
    "tooltips": {
      "isolate": "Isolate devices with errors",
      "copy": "Copy task information",
      "delete": "Delete from task history",
      "stop": "Stop task",
      "clear": "Clear history"
    },
    "all_tasks": "All operations",
    "task_info": "{task}\n\nstarted: {start}; finished: {end}; duration: {duration}\ntotal iterations: {total}, completed: {completed}, errors: {errors}\n{error_info}",
    "list_item": {
      "iterations": "Iterations: ",
      "errors": " / Errors: ",
      "duration": " / Duration: ",
      "success": "Success",
      "no_result": "Not completed",
      "no_data": "No details available"
    },
    "total": {
      "zero": "{count} operations",
      "one": "{count} operation",
      "many": "{count} operations",
      "other": "{count} operations"
    },
    "status": {
      "success": "Success",
      "warning": "Contain errors",
      "danger": "Error",
      "waiting": "Waiting: {count}",
      "completed": "Completed: {count}",
      "queued": "Task queued. Waiting",
      "iteration": "Iteration: {nr}"
    },
    "duration_sec": "{sec}s",
    "duration_min": "{min}min, {sec}s",
    "remove_confirmation": {
      "title": "Are you sure?",
      "message": "Are you sure you want to remove task \"{task}\" from history?",
      "clear_message": "Are you sure you want to remove all tasks from history?",
      "stop_message": "Are you sure you want to stop \"{task}\"?"
    },
    "empty": {
      "title": "Task history empty",
      "message": "To add history item run any command from list action bar"
    }
  },
  "release_notes_dialog": {
    "title": "Release notes",
    "current": "Current"
  },
  "clone_settings": {
    "values": {
      "clear": "{}",
      "with_units": "{}{}"
    },
    "units": {
      "percent": "%",
      "degrees": " C°",
      "volts": "V",
      "min": "Min"
    },
    "titles": {
      "empty": "",

      "general": "General",
      "theme": "Theme",
      "timezone": "Timezone",
      "language": "Interface language",
      "ui_optimize": "UI optimize",
      "chips_number": "Display chips number of board",
      "layout": "Widget layout",

      "cooling": "Cooling",
      "cooling_mode": "Cooling mode",
      "min_fans": "Minimum number of fans",
      "min_fan_duty": "Minimum fan duty",
      "target_temp": "Target temperature",
      "target_rpm": "Fan speed",

      "performance": "Performance settings",
      "modified_psu": "Power supply is modified",
      "preset": "Preset",
      "autoswitcher": "Autoswitch presets",
      "top_preset": "Don't raise preset above",
      "switcher_low_temp": "If temperature is lower",
      "switcher_high_temp": "If temperature is higher",
      "condition_check_time": "Condition check duration",
      "autochange_top_preset": "Autochange top preset if error occurs",
      "ignore_fan_speed": "Ignore maximum fan speed",

      "advanced": "Advanced settings",
      "boost": "ASIC Boost",
      "restart_on_low_hash": "Restart mining if hash rate is lower",
      "chip_critical_temp": "Chips critical temperature",
      "max_restarts": "Max restart attempts",
      "quick_start": "Quick start",
      "voltage_check": "Check voltage setting",
      "balance_check": "Check balance of voltage domains",
      "integrity_check": "Check integrity of chains",
      "voltage_adapt": "Adapt voltage to temperature",
      "restart_on_reboot": "Resume mining after reboot",
      "quiet_mode": "Quiet mode",
      "preset_downscale": "Downscale preset on failure",
      "broken_temp_sensors": "Skip broken temperature sensors",
      "voltage_offset": "Startup voltage offset",
      "auto_chip_throttling": "Auto chip throttling",
      "bad_chip_threshold": "Tuner bad chip hashrate threshold",

      "fees": "Fees",
      "dev_fee_region": "DevFee region",
      "hotel_fee_enabled": "Turn on HotelFee",
      "hotel_fee_address": "Address",
      "hotel_fee_worker": "Worker",
      "hotel_fee_percent": "Fee Percent"
    }
  },
  "import_dialog": {
    "title": "Import range groups",
    "description": "If the file contains only IP address ranges, they will be combined into a single group named after the file.",
    "import": "Start import",
    "overriding_groups": "This file will override groups: ",
    "delete_confirmation_title": "Delete file",
    "delete_confirmation_message": "Are you sure you want to cancel selected file import?",
    "drop_place": {
      "title": "Drop file here or click to upload",
      "description": "Support Hashcore Toolkit range groups (json) or\nIP-ranges list (ex. 10.1.0.0-255.255 or 10.1.0-255.0-255)"
    },
    "file_types": {
      "toolkit": "Hashcore Toolkit Export File",
      "ranges": "Range list file",
      "unsupported": "File format not supported"
    },
    "counters": {
      "groups": {
        "zero": "No groups",
        "one": "{count} group",
        "many": "{count} groups",
        "other": "{count} groups"
      },
      "ranges": {
        "zero": "No ranges",
        "one": "{count} range",
        "many": "{count} ranges",
        "other": "{count} ranges"
      },
      "incorrect": "Incorrect file"
    }
  },
  "about_hashcore": {
    "title": "About HashCore",
    "text_p1": " is a leading developer of mining and blockchain software solutions, specializing in serving large corporate clients. The company offers comprehensive software tools that help optimize and scale mining operations, increasing their efficiency and profitability.",
    "text_p2": "Striving to simplify and optimize work with ASIC miners, Hashcore has combined its many years of development experience into this versatile application.",
    "text_p3": " is a powerful tool designed to meet a wide range of mining farm requirements, from monitoring and device management to firmware flashing and software updates.",
    "text_p4": "This product is the intellectual property of Hashcore, which guarantees the exclusivity and uniqueness of this solution. Users can be confident in the continuous development and support of the product, as well as in the protection of their investments in mining software.",
    "news": "News channel",
    "news_link": "https://t.me/hashcore_en/1"
  },
  "update_dialog": {
    "version_title": "New version: ",
    "remind": "Remind me later",
    "release_notes": "#### Hashcore Toolkit is even better!\nWe've added new features, improved stability, and made the app even more user-friendly.\nDownload the update and see for yourself!\n",
    "download": "Download new version: {}",
    "skip": "Skip this version",
    "new": "New version available"
  }
}